Create scan
curl --request POST \
--url https://api.urldna.io/v1/scan \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"submitted_url": "<string>",
"device": "DESKTOP",
"user_agent": "<string>",
"http_referer": "<string>",
"width": 123,
"height": 123,
"waiting_time": 5,
"scanned_from": "DEFAULT",
"private_scan": false,
"submitter_tags": [
"<string>"
],
"origin": "API"
}
'import requests
url = "https://api.urldna.io/v1/scan"
payload = {
"submitted_url": "<string>",
"device": "DESKTOP",
"user_agent": "<string>",
"http_referer": "<string>",
"width": 123,
"height": 123,
"waiting_time": 5,
"scanned_from": "DEFAULT",
"private_scan": False,
"submitter_tags": ["<string>"],
"origin": "API"
}
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
submitted_url: '<string>',
device: 'DESKTOP',
user_agent: '<string>',
http_referer: '<string>',
width: 123,
height: 123,
waiting_time: 5,
scanned_from: 'DEFAULT',
private_scan: false,
submitter_tags: ['<string>'],
origin: 'API'
})
};
fetch('https://api.urldna.io/v1/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urldna.io/v1/scan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'submitted_url' => '<string>',
'device' => 'DESKTOP',
'user_agent' => '<string>',
'http_referer' => '<string>',
'width' => 123,
'height' => 123,
'waiting_time' => 5,
'scanned_from' => 'DEFAULT',
'private_scan' => false,
'submitter_tags' => [
'<string>'
],
'origin' => 'API'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.urldna.io/v1/scan"
payload := strings.NewReader("{\n \"submitted_url\": \"<string>\",\n \"device\": \"DESKTOP\",\n \"user_agent\": \"<string>\",\n \"http_referer\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"waiting_time\": 5,\n \"scanned_from\": \"DEFAULT\",\n \"private_scan\": false,\n \"submitter_tags\": [\n \"<string>\"\n ],\n \"origin\": \"API\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.urldna.io/v1/scan")
.header("authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"submitted_url\": \"<string>\",\n \"device\": \"DESKTOP\",\n \"user_agent\": \"<string>\",\n \"http_referer\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"waiting_time\": 5,\n \"scanned_from\": \"DEFAULT\",\n \"private_scan\": false,\n \"submitter_tags\": [\n \"<string>\"\n ],\n \"origin\": \"API\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urldna.io/v1/scan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"submitted_url\": \"<string>\",\n \"device\": \"DESKTOP\",\n \"user_agent\": \"<string>\",\n \"http_referer\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"waiting_time\": 5,\n \"scanned_from\": \"DEFAULT\",\n \"private_scan\": false,\n \"submitter_tags\": [\n \"<string>\"\n ],\n \"origin\": \"API\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"submitted_url": "<string>",
"device": "DESKTOP",
"user_agent": "<string>",
"scanned_from": "<string>",
"origin": "USER",
"width": 123,
"height": 123,
"private_scan": true,
"status": "PENDING",
"submitted_date": "2023-11-07T05:31:56Z",
"domain": "<string>",
"target_url": "<string>",
"protocol": "<string>",
"http_referer": "<string>",
"nsfw": false,
"submitter_tags": [
"<string>"
],
"error_code": "<string>"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}Endpoints
Create Scan
Initiates a new URL scan with customizable parameters. Returns a Scan object immediately with status PENDING. Processing typically completes within 30-60 seconds depending on system load. Poll the GET /v1/scan/ endpoint to retrieve full results once status is DONE.
POST
/
v1
/
scan
Create scan
curl --request POST \
--url https://api.urldna.io/v1/scan \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"submitted_url": "<string>",
"device": "DESKTOP",
"user_agent": "<string>",
"http_referer": "<string>",
"width": 123,
"height": 123,
"waiting_time": 5,
"scanned_from": "DEFAULT",
"private_scan": false,
"submitter_tags": [
"<string>"
],
"origin": "API"
}
'import requests
url = "https://api.urldna.io/v1/scan"
payload = {
"submitted_url": "<string>",
"device": "DESKTOP",
"user_agent": "<string>",
"http_referer": "<string>",
"width": 123,
"height": 123,
"waiting_time": 5,
"scanned_from": "DEFAULT",
"private_scan": False,
"submitter_tags": ["<string>"],
"origin": "API"
}
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
submitted_url: '<string>',
device: 'DESKTOP',
user_agent: '<string>',
http_referer: '<string>',
width: 123,
height: 123,
waiting_time: 5,
scanned_from: 'DEFAULT',
private_scan: false,
submitter_tags: ['<string>'],
origin: 'API'
})
};
fetch('https://api.urldna.io/v1/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urldna.io/v1/scan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'submitted_url' => '<string>',
'device' => 'DESKTOP',
'user_agent' => '<string>',
'http_referer' => '<string>',
'width' => 123,
'height' => 123,
'waiting_time' => 5,
'scanned_from' => 'DEFAULT',
'private_scan' => false,
'submitter_tags' => [
'<string>'
],
'origin' => 'API'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.urldna.io/v1/scan"
payload := strings.NewReader("{\n \"submitted_url\": \"<string>\",\n \"device\": \"DESKTOP\",\n \"user_agent\": \"<string>\",\n \"http_referer\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"waiting_time\": 5,\n \"scanned_from\": \"DEFAULT\",\n \"private_scan\": false,\n \"submitter_tags\": [\n \"<string>\"\n ],\n \"origin\": \"API\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.urldna.io/v1/scan")
.header("authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"submitted_url\": \"<string>\",\n \"device\": \"DESKTOP\",\n \"user_agent\": \"<string>\",\n \"http_referer\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"waiting_time\": 5,\n \"scanned_from\": \"DEFAULT\",\n \"private_scan\": false,\n \"submitter_tags\": [\n \"<string>\"\n ],\n \"origin\": \"API\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urldna.io/v1/scan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"submitted_url\": \"<string>\",\n \"device\": \"DESKTOP\",\n \"user_agent\": \"<string>\",\n \"http_referer\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"waiting_time\": 5,\n \"scanned_from\": \"DEFAULT\",\n \"private_scan\": false,\n \"submitter_tags\": [\n \"<string>\"\n ],\n \"origin\": \"API\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"submitted_url": "<string>",
"device": "DESKTOP",
"user_agent": "<string>",
"scanned_from": "<string>",
"origin": "USER",
"width": 123,
"height": 123,
"private_scan": true,
"status": "PENDING",
"submitted_date": "2023-11-07T05:31:56Z",
"domain": "<string>",
"target_url": "<string>",
"protocol": "<string>",
"http_referer": "<string>",
"nsfw": false,
"submitter_tags": [
"<string>"
],
"error_code": "<string>"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}Body
application/json
Response
Successful Response
